net.corda.flows

## Class TwoPartyDealFlow.AutoOffer

- net.corda.flows.TwoPartyDealFlow.AutoOffer

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.AutoOffer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoOffer(Party notary, DealState dealBeingOffered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `component1()`
    `DealState` | `component2()`
    `TwoPartyDealFlow.AutoOffer` | `copy(Party notary, DealState dealBeingOffered)`
    `boolean` | `equals(java.lang.Object p)`
    `DealState` | `getDealBeingOffered()`
    `Party` | `getNotary()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### AutoOffer

          public AutoOffer(Party notary,
                           DealState dealBeingOffered)

  - ### Method Detail

    - #### getNotary

          public Party getNotary()

    - #### getDealBeingOffered

          public DealState getDealBeingOffered()

    - #### component1

          public Party component1()

    - #### component2

          public DealState component2()

    - #### copy

          public TwoPartyDealFlow.AutoOffer copy(Party notary,
                                                 DealState dealBeingOffered)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)